Loading...
Searching...
No Matches
restinio::impl::connection_input_t Struct Reference

Data associated with connection read routine. More...

`#include <connection.hpp>`

## Public Member Functions

| connection_input_t (std::size_t buffer_size, incoming_http_msg_limits_t limits)
void | reset_parser ()
| Prepare parser for reading new http-message.

## Public Attributes

fixed_buffer_t | m_buf
| Input buffer.
connection_upgrade_stage_t | m_connection_upgrade_stage
| Connection upgrade request stage.
bool | m_read_operation_is_running { false }
| Flag to track whether read operation is performed now.
http_parser | m_parser
| HTTP-parser.
http_parser_ctx_t | m_parser_ctx

## Detailed Description

Data associated with connection read routine.

Definition at line 225 of file connection.hpp.

## Constructor & Destructor Documentation

## connection_input_t()

restinio::impl::connection_input_t::connection_input_t | ( | std::size_t | buffer_size,
|  | incoming_http_msg_limits_t | limits
| ) |  |

inline

Definition at line 227 of file connection.hpp.

## Member Function Documentation

## reset_parser()

void restinio::impl::connection_input_t::reset_parser | ( |  | ) |

inline

Prepare parser for reading new http-message.

Definition at line 252 of file connection.hpp.

## Member Data Documentation

## m_buf

fixed_buffer_t restinio::impl::connection_input_t::m_buf

Input buffer.

Definition at line 241 of file connection.hpp.

## m_connection_upgrade_stage

connection_upgrade_stage_t restinio::impl::connection_input_t::m_connection_upgrade_stage

Initial value:
{
connection_upgrade_stage_t::none }
restinio::impl::connection_upgrade_stage_t::none
@ none
No connection request in progress.

Connection upgrade request stage.

Definition at line 244 of file connection.hpp.

## m_parser

http_parser restinio::impl::connection_input_t::m_parser

HTTP-parser.

Definition at line 236 of file connection.hpp.

## m_parser_ctx

http_parser_ctx_t restinio::impl::connection_input_t::m_parser_ctx

Definition at line 237 of file connection.hpp.

## m_read_operation_is_running

bool restinio::impl::connection_input_t::m_read_operation_is_running { false }

Flag to track whether read operation is performed now.

Definition at line 248 of file connection.hpp.

The documentation for this struct was generated from the following file:

- restinio/impl/connection.hpp